### File

`packages/components/eui-chip-list/services/eui-chip-list-drag.service.ts`

### Description

Service used internally by `eui-chip-list` for the drag and drop feature.

### Index

###### Properties
Public componentConnector Public droppableArea Public removedFromDroppable
###### Methods
Public removeFromDroppable Public resetConnector Public setComponentConnector Public setDroppableArea

### Methods

Public removeFromDroppable
`removeFromDroppable(item: any | null)`
Parameters :
Name | Type | Optional
item | `any | null` | No
Returns : `void`

Public resetConnector
`resetConnector()`
Reset the service when `OnDestroy` hook of the component is called. Returns : `void`

Public setComponentConnector
`setComponentConnector(sourceName: string)`
Creates a source with a name provided in chip-list component Parameters :
Name | Type | Optional | Description
sourceName | `string` | No | Name of the source
Returns : `void`

Public setDroppableArea
`setDroppableArea(componentRef: CdkDropList, sourceNames: string[])`
Creates an area in which the chips can be dropped. Parameters :
Name | Type | Optional | Description
componentRef | `CdkDropList` | No | Reference to the area.
sourceNames | `string[]` | No | Possible source that can be dropped.
Returns : `void`

### Properties

Public componentConnector
Type : `CdkDropList[]`
Default value : `[]`

Public droppableArea
Type : `CdkDropList[]`
Default value : `[]`

Public removedFromDroppable
Default value : `new BehaviorSubject(null)`

# results matching ""

# No results matching ""